System.Web 2.0.0.0 System.Object

ASP.NET health monitoring allows production and operations staff to manage deployed Web applications. The namespace contains the health-event types responsible for packaging application health-status data and the provider types responsible for processing this data. It also contains supporting types that help during the management of health events.

The class contains codes that identify types of health-monitoring events. Two types of codes are defined within the class: major codes, which identify the ASP.NET health-monitoring events; and detail codes, which provide more information about a related major code. These codes are implemented as integers, rather than as an enumeration, to allow for extensibility.

When a health-monitoring event is raised, it is associated with a major event code. The following list identifies the categories of major event codes that are defined within the class:

Application codes. Application codes identify events in the lifetime of an application, such as startup and shutdown events. Their values are greater than the field constant. They are associated with the event type. The heartbeat event is a special kind of application event. It identifies events raised at periodic intervals to provide information relative to the state of the running process. It is associated with the event type.

Request codes. Request codes identify non-error events that provide per-request information. Their values are greater than the field constant. They are associated with the event type.

Error codes. Error codes identify events that contain information about two kinds of errors: errors specifically related to a Web request and systemic errors. The errors related to Web requests include unhandled exceptions, view-state errors, and input-validation errors. They are associated with the event type. The systemic errors relate to configuration or application code, including parser errors and compilation errors. They are associated with the event type. Both kinds of errors have values greater than the field constant.

Audit codes. Audit codes identify events that contain auditable information such as login attempts, access security violations, and authorization violations. Their values are greater than . They are associated with and its derived event types.

Miscellaneous codes. Miscellaneous codes do not identify events but are used to flag nonstandard event information. Their values are greater than . Refer also to for more information.

You can create your own custom event code by choosing code values above .

In the eventMappings health-monitoring configuration element, you can optionally specify an event-code range. If the event code range is specified, the mapping only applies to the events that have an event code within that range; otherwise, it applies to all the event codes. The following configuration file excerpt shows the configured to handle events whose event codes belong to the audit category.

`<healthMonitoring> <eventMappings> <add name="Failure Audits" type= "System.Web.Management.WebFailureAuditEvent,System.Web, Version=2.0.3600.0,Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" /> </eventMappings> <rules> <add name="Failure Audits Default" eventName="Failure Audits" provider="EventLogProvider" profile="Default" minInterval="00:01:00" /> </rules> </healthMonitoring>`

You can create your own custom event code by choosing code values above .

Defines the codes associated with the ASP.NET health monitoring events.

- Constructor
  2.0.0.0
  To be added.
  To be added.
- Field
  2.0.0.0
  System.Int32 1000

  The value represents the offset for major event codes associated with the type. All application codes are assigned values greater than .

  Identifies the offset for the ASP.NET health-monitoring application event codes. This field is constant.

- Field
  2.0.0.0
  System.Int32 1004

  The value is a major code and its value is greater than the value. ASP.NET raises the related event when the compilation of the application ends.

  Represents the event code indicating that the compilation of the application has finished. This field is constant.

- Field
  2.0.0.0
  System.Int32 1003

  The value is a major code and its value is greater than the value. ASP.NET raises the related event when the compilation of the application starts.

  Represents the event code indicating that the compilation of the application has started. This field is constant.

- Field
  2.0.0.0
  System.Int32 50000

  The value represents the offset for the detail event code range associated with the type. All application detail codes are assigned values greater than .

  Identifies the offset for the application detail event codes. This field is constant.

- Field
  2.0.0.0
  System.Int32 1005

  The is a major code and its value is greater than . ASP.NET raises the related event at a periodic interval, as defined by the configuration file.

  Represents the event code indicating that a heartbeat event occurred. This field is constant.

- Field
  2.0.0.0
  System.Int32 1002

  is a major code and its value is greater than . ASP.NET raises the related event when the application shuts down.

  Represents the event code indicating that an application has shut down. This field is constant.

- Field
  2.0.0.0
  System.Int32 50007

  The is the detail code that specifies the causes of the shutdown.

  When a subdirectory in the application's Bin directory is changed or renamed, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating a subdirectory in the application's Bin directory was changed or renamed. This field is constant.

- Field
  2.0.0.0
  System.Int32 50008

  is the detail code that specifies the cause of the shutdown.

  When a subdirectory in the Browsers application directory is changed or renamed, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating a subdirectory in the Browsers application directory was changed or renamed. This field is constant.

- Field
  2.0.0.0
  System.Int32 50003

  is the detail code that specifies the cause of the shutdown.

  When the Global.asax file is changed, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the Global.asax file has changed. This field is constant.

- Field
  2.0.0.0
  System.Int32 50006

  is the detail code that specifies the cause of the shutdown.

  When the security policy file is changed, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the security policy file has changed. This field is constant.

- Field
  2.0.0.0
  System.Int32 50009

  is the detail code that specifies the cause of the shutdown.

  When a subdirectory in the App_Code directory is changed or renamed, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating a subdirectory in the App_Code directory was changed or renamed. This field is constant.

- Field
  2.0.0.0
  System.Int32 50004

  is the detail code that specifies the cause of the shutdown.

  When the configuration file is changed, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the configuration file has changed. This field is constant.

- Field
  2.0.0.0
  System.Int32 50002

  The is the detail code that specifies the cause of the shutdown.

  When the hosting environment is shutting down, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the hosting environment is shutting down. This field is constant.

- Field
  2.0.0.0
  System.Int32 50013

  is the detail code that specifies the cause of the shutdown.

  When the ASP.NET run time is explicitly closed, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the ASP.NET run time was explicitly closed. This field is constant.

- Field
  2.0.0.0
  System.Int32 50011

  The is the detail code that specifies the cause of the shutdown.

  When the idle time-out is exceeded, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the idle time-out was exceeded. This field is constant.

- Field
  2.0.0.0
  System.Int32 50014

  is the detail code that specifies the cause of the shutdown.

  When an application-initialization error occurs, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating an application-initialization error occurred. This field is constant.

- Field
  2.0.0.0
  System.Int32 50015

  is the detail code that specifies the cause of the shutdown.

  When the maximum number of recompilations is reached, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the maximum number of recompilations was reached. This field is constant.

- Field
  2.0.0.0
  System.Int32 50012

  is the detail code that specifies the cause of the shutdown.

  When the physical path of the application is changed, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the physical path of the application has changed. This field is constant.

- Field
  2.0.0.0
  System.Int32 50010

  is the detail code that specifies the cause of the shutdown.

  When a subdirectory in the App_Resources directory is changed or renamed, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating a subdirectory in the App_Resources directory was changed or renamed. This field is constant.

- Field
  2.0.0.0
  System.Int32 50001

  is the detail code that specifies the causes of the shutdown.

  When the application shuts down for an unknown reason, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the application shutdown reason is unknown. This field is constant.

- Field
  2.0.0.0
  System.Int32 50005

  is the detail code that specifies the cause of the shutdown.

  When the application domain is explicitly unloaded, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the application domain was explicitly unloaded. This field is constant.

- Field
  2.0.0.0
  System.Int32 1001

  is the major code that refers to the start of an application. When the application starts, ASP.NET raises a with a major code of .

  Represents the event code indicating that an application has started. This field is constant.

- Field
  2.0.0.0
  System.Int32 4000

  The value represents the offset for the major event code range associated with the , , , , and types.

  All audit codes are assigned values greater than .

  Identifies the offset for the ASP.NET health-monitoring audit event codes. This field is constant.

- Field
  2.0.0.0
  System.Int32 50200

  represents the offset for the detail-event-code range associated with audit events. All audit detail codes are assigned values greater than .

  Identifies the offset for the ASP.NET audit-detail event codes. This field is constant.

- Field
  2.0.0.0
  System.Int32 4008

  is the major code for the health event related to the access of a file for which authorization is not granted. When a file-authorization failure occurs, ASP.NET raises a with a major code of .

  Represents the event code indicating that a file-authorization failure occurred during a Web request. This field is constant.

- Field
  2.0.0.0
  System.Int32 4004

  is the major code for the health event related to the access of a file for which authorization is granted. When a file authorization is successful, ASP.NET raises a with a major code of .

  Represents the event code indicating that a file-authorization success occurred during a Web request. This field is constant.

- Field
  2.0.0.0
  System.Int32 4005

  is the major code for the health event related to user's authentication failure. When this event happens, ASP.NET raises a with a major code of .

  Represents the event code indicating a form authentication failure occurred during a Web request. This field is constant.

- Field
  2.0.0.0
  System.Int32 4001

  The is the major code for the health event related to a user's authentication success. When this event occurs, ASP.NET raises a with a major code of .

  Represents the event code indicating a form-authentication success occurred during a Web request. This field is constant.

- Field
  2.0.0.0
  System.Int32 4009

  is the major code for the health event related to view-state verification failure. When this event occurs, ASP.NET raises a with a major code of .

  Represents the event code indicating that the view-state verification failed. This field is constant.

- Field
  2.0.0.0
  System.Int32 4006

  The is the major code for the health event related to a user's membership-authentication failure. When this event occurs, ASP.NET raises a with a major code of .

  Represents the event code indicating that a membership-authentication failure occurred during a Web request. This field is constant.

- Field
  2.0.0.0
  System.Int32 4002

  is the major code for the health event related to a user's membership-authentication success. When this event occurs, ASP.NET raises a with a major code of .

  Represents the event code indicating that a membership-authentication success occurred during a Web request. This field is constant.

- Field
  2.0.0.0
  System.Int32 4011

  is the major code for the unhandled health event related to the access of a resource for which authorization is not granted. When this event occurs, ASP.NET raises a with a major code of .

  Represents the event code indicating that an unhandled access exception occurred during a Web request. This field is constant.

- Field
  2.0.0.0
  System.Int32 4010

  is the major code of the unhandled health event related to a security violation. When an unhandled security exception is thrown, ASP.NET raises a with a major code of .

  Represents the event code indicating that an unhandled security exception occurred during a Web request. This field is constant.

- Field
  2.0.0.0
  System.Int32 4007

  is the major code for the health event related to the use of a URL for which authorization is not granted. When the URL-authorization failure occurs, ASP.NET raises a with a major code of .

  Represents the event code indicating that a URL-authorization failure occurred during a Web request. This field is constant.

- Field
  2.0.0.0
  System.Int32 4003

  is the major code for the health event related to the use of a URL for which authorization is granted. When a URL is successfully authorized, ASP.NET raises a with a major code of .

  Represents the event code indicating a URL-authorization success occurred during a Web request. This field is constant.

- Field
  2.0.0.0
  System.Int32 3000

  The value represents the offset for the major event code range associated with the and types. All error codes are assigned values greater than .

  Identifies the offset for the ASP.NET health-monitoring error event codes. This field is constant.

- Field
  2.0.0.0
  System.Int32 50202

  is the detail code that specifies the cause of the user's authentication failure.

  When the user's authentication fails due to an expired ticket, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the supplied ticket is expired. This field is constant.

- Field
  2.0.0.0
  System.Int32 -1

  The represents the use of a code value that is not allowed by the system. For instance, this can happen if you customize an ASP.NET health-monitoring event and use a code value that is already assigned by the system.

  Represents the event code indicating that the event code value is not allowed. This field is constant.

- Field
  2.0.0.0
  System.Int32 50201

  is the detail code that specifies the cause of the user's authentication failure.

  When the user's authentication fails due to an invalid ticket, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the supplied ticket is invalid. This field is constant.

- Field
  2.0.0.0
  System.Int32 50204

  is the detail code that specifies the cause of the view-state failure.

  When the view-state error occurs, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the supplied view state is invalid. This field is constant.

- Field
  2.0.0.0
  System.Int32 50203

  is the detail code that specifies the cause of the view-state failure.

  When the supplied view state fails the integrity check, ASP.NET raises a with a major code of and a detail code of .

  Represents the event code indicating that the supplied view state failed the integrity check. This field is constant.

- Field
  2.0.0.0
  System.Int32 6000

  The value represents the offset for the major event code range associated with health events that have not been categorized. All miscellaneous codes are assigned values greater than .

  Identifies the offset for the ASP.NET health-monitoring Web miscellaneous event codes. This field is constant.

- Field
  2.0.0.0
  System.Int32 2000

  The value represents the offset for the major event code range associated with the type. All request codes are assigned values greater than .

  Identifies the offset for the ASP.NET health-monitoring Web-request event codes. This field is constant.

- Field
  2.0.0.0
  System.Int32 2002

  is the major code that refers to a Web-request abnormal termination. When a Web request aborts, ASP.NET raises a with a major code of .

  Represents the event code indicating that the Web request was aborted. This field is constant.

- Field
  2.0.0.0
  System.Int32 2001

  is the major code that refers to a Web request normal termination. When the Web request completes normally, ASP.NET raises a with a major code of .

  Represents the event code indicating that the Web request was completed. This field is constant.

- Field
  2.0.0.0
  System.Int32 3004

  is the major code that refers to a data posting whose size exceeds the allowed limits. When a form posts data that exceeds the allowed limits, ASP.NET raises a with a major code of .

  Represents the event code indicating that the size of the posted information exceeded the allowed limits. This field is constant.

- Field
  2.0.0.0
  System.Int32 3001

  is the major code that refers to the abnormal termination of the Web request. When the Web request aborts, ASP.NET raises a with a major code of .

  Represents the event code indicating that the Web request has been aborted.

- Field
  2.0.0.0
  System.Int32 3005

  is the major code that refers to the occurrence of an exception that is not handled by ASP.NET. When the exception occurs, ASP.NET raises a with a major code of .

  Represents the event code indicating an unhandled exception occurred. This field is constant.

- Field
  2.0.0.0
  System.Int32 3003

  is the major code that refers to the occurrence of a validation exception that is not handled by ASP.NET. When this exception occurs, ASP.NET raises a with a major code of .

  Represents the event code indicating that a validation error occurred. This field is constant.

- Field
  2.0.0.0
  System.Int32 3002

  is the major code that refers to a view-state failure. When this happens, ASP.NET raises a with a major code of .

  Represents the event code indicating that a view-state failure occurred. This field is constant.

- Field
  2.0.0.0
  System.Int32 50301

  When the notification occurs after the one during which events have been dropped, a special warning row is written to the SQL server. This row is written before all other events in the notification, and is not counted in the total number of events as far as the configured flush size is concerned.

  Represents the event code indicating that the SQL provider dropped events. This field is constant.

- Field
  2.0.0.0
  System.Int32 50016

  When a connection error occurs while communicating with the state server, ASP.NET raises a with a major code of and detail code of .

  The is a detail code and its value is greater than the .

  Represents the event code indicating that an error occurred while communicating with the state server. This field is constant.

- Field
  2.0.0.0
  System.Int32 0

  represents the use of a major code value that is not defined by the system.

  Represents the event code indicating that the major event code value is not defined. This field is constant.

- Field
  2.0.0.0
  System.Int32 0

  represents the use of a detail code value that is not defined by the system.

  Represents the event code indicating that the detail event code value is not defined. This field is constant.

- Field
  2.0.0.0
  System.Int32 3007

  is the major code that refers to an error that happened during the application compilation phase. When this error occurs, ASP.NET raises a with a major code of .

  Indicates that a compilation error occurred.

- Field
  2.0.0.0
  System.Int32 3008

  is the major code that refers to an error that happened during the application-configuring phase. When this error occurs, ASP.NET raises a with a major code of .

  Indicates that a configuration error occurred. This field is constant.

- Field
  2.0.0.0
  System.Int32 3011 To be added.

  Represents the event code indicating that there was an error during the deserialization of the type or value of an object. This field is constant.

- Field
  2.0.0.0
  System.Int32 3009

  is the major code for an unclassified error. When this error occurs, ASP.NET raises a with a major code of .

  Represents the event code indicating that an unclassified error occurred. This field is constant.

- Field
  2.0.0.0
  System.Int32 3006

  is the major code that refers to an error that happened during the application-parsing phase. When this error occurs, ASP.NET raises a with a major code of .

  Represents the event code indicating a parser error occurred.

- Field
  2.0.0.0
  System.Int32 3010 To be added.

  Represents the event code indicating that there was an error during the deserialization of a property. This field is constant.

- Field
  2.0.0.0
  System.Int32 50300

  The value represents the offset for the detail-event code range associated with the type. All application detail codes are assigned values greater than .

  Identifies the offset for the ASP.NET health-monitoring Web-detail event codes.

- Field
  2.0.0.0
  System.Int32 6001

  is the major code used by providers to store nonstandard health event information. Its value is greater than .

  For example, if ASP.NET health events are dropped during buffering, the adds a warning to the top of the messages without using the .But the only way for the to write this warning is to create a record in the database. Because every record in the database needs an event ID, the provider uses the as its major code and as the detail code to create this ID.

  As you can see from the above discussion, the is not associated with any ASP.NET health event.

  Represents the event code used by providers to record nonstandard information about an event. This field is constant.

- Field
  2.0.0.0
  System.Int32 100000

  If you create your own custom event, you must use an event code with a value greater than .

  Identifies the offset for the custom event codes. This field is constant.